rembrembdocs

Skip to main content

Resend home pagelight logodark logo

[Documentation

](/docs/introduction)[API Reference

](/docs/api-reference/introduction)[Build with AI

](/docs/ai-onboarding)[Knowledge Base

](/docs/knowledge-base/introduction)[Webhooks

](/docs/webhooks/introduction)

Node.js

import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.segments.list();
import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.segments.list();
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "78261eea-8f8b-4381-83c6-79fa7120f1cf",
      "name": "Registered Users",
      "created_at": "2026-10-06T22:59:55.977Z"
    }
  ]
}

GET

/

segments

Node.js

import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.segments.list();
import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.segments.list();
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "78261eea-8f8b-4381-83c6-79fa7120f1cf",
      "name": "Registered Users",
      "created_at": "2026-10-06T22:59:55.977Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://resend.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

Note that the limit parameter is optional. If you do not provide a limit, all segments will be returned in a single response.

[​

](#limit)

limit

number

Number of segments to retrieve.

[​

](#after)

after

string

The ID after which we'll retrieve more segments (for pagination). This ID will not be included in the returned list. Cannot be used with thebefore parameter.

[​

](#before)

before

string

The ID before which we'll retrieve more segments (for pagination). This ID will not be included in the returned list. Cannot be used with the after parameter.

You can only use either after or before parameter, not both. See our pagination guide for more information.

Was this page helpful?

[

Retrieve Segment

Previous

](/docs/api-reference/segments/get-segment)[

Delete Segment

Next

](/docs/api-reference/segments/delete-segment)

Ctrl+I